@echo off

echo Invalid PROGRAM-ID
copy /y definition.43 prog.cob > nul
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>result
if not errorlevel 1 goto err
diff definition.44 result
if errorlevel 1 goto err

echo Invalid PROGRAM-ID type clause (1)
copy /y definition.45 prog.cob > nul
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>result
if not errorlevel 1 goto err
diff definition.46 result
if errorlevel 1 goto err

echo Invalid PROGRAM-ID type clause (2)
copy /y definition.47 prog.cob > nul
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>result
if not errorlevel 1 goto err
diff definition.48 result
if errorlevel 1 goto err

echo Undefined data name
copy /y definition.1 prog.cob > nul
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>result
if not errorlevel 1 goto err
diff definition.2 result
if errorlevel 1 goto err

echo Undefined group name
copy /y definition.3 prog.cob > nul
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>result
if not errorlevel 1 goto err
diff definition.4 result
if errorlevel 1 goto err

echo Undefined data name in group
copy /y definition.5 prog.cob > nul
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>result
if not errorlevel 1 goto err
diff definition.6 result
if errorlevel 1 goto err

echo Reference not a group name
copy /y definition.7 prog.cob > nul
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>result
if not errorlevel 1 goto err
diff definition.8 result
if errorlevel 1 goto err

echo Incomplete 01 definition
copy /y definition.9 prog.cob > nul
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>result
if not errorlevel 1 goto err
diff definition.10 result
if errorlevel 1 goto err

echo Same labels in different sections
copy /y definition.11 prog.cob > nul
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>result
if errorlevel 1 goto err

echo Redefinition of 01 items
copy /y definition.12 prog.cob > nul
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>result
if errorlevel 1 goto err
diff definition.13 result
if errorlevel 1 goto err

echo Redefinition of 01 and 02 items
copy /y definition.14 prog.cob > nul
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>result
if errorlevel 1 goto err
diff definition.15 result
if errorlevel 1 goto err

echo Redefinition of 02 items
copy /y definition.16 prog.cob > nul
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>result
if errorlevel 1 goto err
diff definition.17 result
if errorlevel 1 goto err

echo Redefinition of 77 items
copy /y definition.18 prog.cob > nul
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>result
if errorlevel 1 goto err
diff definition.19 result
if errorlevel 1 goto err

echo Redefinition of 01 and 77 items
copy /y definition.20 prog.cob > nul
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>result
if errorlevel 1 goto err
diff definition.21 result
if errorlevel 1 goto err

echo Redefinition of 88 items
copy /y definition.22 prog.cob > nul
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>result
if errorlevel 1 goto err
diff definition.23 result
if errorlevel 1 goto err

echo Ambiguous reference to 02 items
copy /y definition.24 prog.cob > nul
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>result
if not errorlevel 1 goto err
diff definition.25 result
if errorlevel 1 goto err

echo Ambiguous reference to 02 and 03 items
copy /y definition.26 prog.cob > nul
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>result
if not errorlevel 1 goto err
diff definition.27 result
if errorlevel 1 goto err

echo Ambiguous reference with qualification
copy /y definition.28 prog.cob > nul
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>result
if not errorlevel 1 goto err
diff definition.29 result
if errorlevel 1 goto err

echo Unique reference with ambiguous qualifiers
copy /y definition.30 prog.cob > nul
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>result
if errorlevel 1 goto err

echo Undefined procedure name
copy /y definition.31 prog.cob > nul
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>result
if not errorlevel 1 goto err
diff definition.32 result
if errorlevel 1 goto err

echo Redefinition of section names
copy /y definition.33 prog.cob > nul
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>result
if not errorlevel 1 goto err
diff definition.34 result
if errorlevel 1 goto err

echo Redefinition of section and paragraph names
copy /y definition.35 prog.cob > nul
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>result
if not errorlevel 1 goto err
diff definition.36 result
if errorlevel 1 goto err

echo Redefinition of paragraph names
copy /y definition.37 prog.cob > nul
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>result
if errorlevel 1 goto err

echo Ambiguous reference to paragraph name
copy /y definition.38 prog.cob > nul
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob > comp.out 2>result
if not errorlevel 1 goto err
diff definition.39 result
if errorlevel 1 goto err

echo Non-matching level numbers (extension)
copy /y definition.40 test.conf > nul
copy /y definition.41 prog.cob > nul
cobc -x -C -conf=test.conf -debug -Wall -o prog prog.cob > comp.out 2>result
if errorlevel 1 goto err
diff definition.42 result
if errorlevel 1 goto err

echo DEFINITION TEST PASSED
del prog.* result comp.out test.conf
goto end

:err
	echo DEFINITION TEST FAILED
	pause
:end
