#!/bin/tcsh

echo DISPLAY: Sign ascii
cp display.1 test.conf
cp display.2 prog.cob
cobc -x -debug -Wall -conf=test.conf -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff display.3 result
if ( $? != 0 ) goto err
cp display.4 prog.cob
cobc -x -debug -Wall -conf=test.conf -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff display.5 result
if ( $? != 0 ) goto err

echo DISPLAY: Sign ascii10
cp display.6 test.conf
cp display.7 prog.cob
cobc -x -debug -Wall -conf=test.conf -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff display.8 result
if ( $? != 0 ) goto err


echo DISPLAY TEST PASSED
rm test.conf prog.* result comp.out
goto end

err:
	echo DISPLAY TEST FAILED
	exit(1)
end:
	exit(0)

