#!/bin/tcsh

echo RUN TEST GROUP
source accept.cmd
if ( $? != 0 ) goto err
source extensions.cmd
if ( $? != 0 ) goto err
source functions.cmd
if ( $? != 0 ) goto err
source fundamental.cmd
if ( $? != 0 ) goto err
source initialize.cmd
if ( $? != 0 ) goto err
source misc.cmd
if ( $? != 0 ) goto err
source ref-mod.cmd
if ( $? != 0 ) goto err
source return-code.cmd
if ( $? != 0 ) goto err
source subscripts.cmd
if ( $? != 0 ) goto err

echo RUN TEST PASSED
goto end

err:
	echo RUN TEST FAILED
	exit(1)
end:
	exit(0)

