echo MOVE SPACE TO numeric or numeric-edited item
cp move.1 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? == 0 ) goto err
diff move.2 result
if ( $? != 0 ) goto err

echo MOVE ZERO TO alphabetic item
cp move.3 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? == 0 ) goto err
diff move.4 result
if ( $? != 0 ) goto err

echo MOVE alphabetic TO x
cp move.5 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? == 0 ) goto err
diff move.6 result
if ( $? != 0 ) goto err

echo MOVE alphanumeric TO x
cp move.7 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? != 0 ) goto err
diff move.8 result
if ( $? != 0 ) goto err

echo MOVE alphanumeric-edited TO x
cp move.9 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? == 0 ) goto err
diff move.10 result
if ( $? != 0 ) goto err

echo MOVE numeric \(integer\) TO x
cp move.11 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? == 0 ) goto err
diff move.12 result
if ( $? != 0 ) goto err

echo MOVE numeric \(non-integer\) TO x
cp move.13 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? == 0 ) goto err
diff move.14 result
if ( $? != 0 ) goto err

echo MOVE numeric-edited TO x
cp move.15 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? == 0 ) goto err
diff move.16 result
if ( $? != 0 ) goto err

echo Operands must be groups
cp move.17 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? == 0 ) goto err
diff move.18 result
if ( $? != 0 ) goto err

echo MOVE: misc
cp move.19 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? == 0 ) goto err
diff move.20 result
if ( $? != 0 ) goto err
echo MOVE TEST PASSED
rm prog.* result
goto end

err:
	echo MOVE TEST FAILED
	exit(1)
end:
	exit(0)

