echo Numeric item \(integer\)
cp value.1 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? == 0 ) goto err
diff value.2 result
if ( $? != 0 ) goto err

echo Numeric item \(non-integer\)
cp value.3 prog.cob
cobc -x -C -std=cobol2002 -debug -o prog prog.cob >& result
if ( $? != 0 ) goto err
diff value.4 result
if ( $? != 0 ) goto err

echo Numeric item with picture P
cp value.5 prog.cob
cobc -x -C -std=cobol2002 -debug -o prog prog.cob >& result
if ( $? != 0 ) goto err
diff value.6 result
if ( $? != 0 ) goto err

echo Signed numeric literal
cp value.7 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? == 0 ) goto err
diff value.8 result
if ( $? != 0 ) goto err

echo Alphabetic item
cp value.9 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? == 0 ) goto err
diff value.10 result
if ( $? != 0 ) goto err

echo Alphanumeric item
cp value.11 prog.cob
cobc -x -C -std=cobol2002 -debug -o prog prog.cob >& result
if ( $? != 0 ) goto err
diff value.12 result
if ( $? != 0 ) goto err

echo Alphanumeric group item
cp value.13 prog.cob
cobc -x -C -std=cobol2002 -debug -o prog prog.cob >& result
if ( $? != 0 ) goto err
diff value.14 result
if ( $? != 0 ) goto err

echo Numeric-edited item
cp value.15 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? != 0 ) goto err
diff value.16 result
if ( $? != 0 ) goto err

echo Alphanumeric-edited item
cp value.17 prog.cob
cobc -x -C -std=cobol2002 -debug -o prog prog.cob >& result
if ( $? != 0 ) goto err
diff value.18 result
if ( $? != 0 ) goto err
echo VALUE TEST PASSED
rm prog.* result
goto end

err:
	echo VALUE TEST FAILED
	exit(1)
end:
	exit(0)

