echo REDEFINES: not following entry-name
cp redefines.1 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? == 0 ) goto err
diff redefines.2 result
if ( $? != 0 ) goto err

echo REDEFINES: level 02 by 01
cp redefines.3 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? == 0 ) goto err
diff redefines.4 result
if ( $? != 0 ) goto err

echo REDEFINES: level 03 by 02
cp redefines.5 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? == 0 ) goto err
diff redefines.6 result
if ( $? != 0 ) goto err

echo REDEFINES: level 66
cp redefines.7 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? == 0 ) goto err
diff redefines.8 result
if ( $? != 0 ) goto err

echo REDEFINES: level 88
cp redefines.9 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? == 0 ) goto err
diff redefines.10 result
if ( $? != 0 ) goto err

echo REDEFINES: lower level number
cp redefines.11 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? == 0 ) goto err
diff redefines.12 result
if ( $? != 0 ) goto err

echo REDEFINES: with OCCURS
cp redefines.13 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? != 0 ) goto err
diff redefines.14 result
if ( $? != 0 ) goto err

echo REDEFINES: with subscript
cp redefines.15 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? == 0 ) goto err
diff redefines.16 result
if ( $? != 0 ) goto err

echo REDEFINES: with variable occurrence
cp redefines.17 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? == 0 ) goto err
diff redefines.18 result
if ( $? != 0 ) goto err

echo REDEFINES: with qualification
cp redefines.19 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? == 0 ) goto err
diff redefines.20 result
if ( $? != 0 ) goto err

echo REDEFINES: multiple redefinition
cp redefines.21 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? == 0 ) goto err
diff redefines.22 result
if ( $? != 0 ) goto err
cobc -x -C -std=mvs -debug -Wall -o prog prog.cob >& result
if ( $? != 0 ) goto err
diff redefines.30 result
if ( $? != 0 ) goto err

echo REDEFINES: size exceeds
cp redefines.23 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? == 0 ) goto err
diff redefines.24 result
if ( $? != 0 ) goto err

echo REDEFINES: with VALUE
cp redefines.25 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? == 0 ) goto err
diff redefines.26 result
if ( $? != 0 ) goto err

echo REDEFINES: with intervention
cp redefines.27 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? == 0 ) goto err
diff redefines.28 result
if ( $? != 0 ) goto err

echo REDEFINES: within REDEFINES
cp redefines.29 prog.cob
cobc -x -C -std=cobol2002 -debug -Wall -o prog prog.cob >& result
if ( $? != 0 ) goto err
diff redefines.30 result
if ( $? != 0 ) goto err
echo REDEFINES TEST PASSED
rm prog.* result
goto end

err:
	echo REDEFINES TEST FAILED
	exit(1)
end:
	exit(0)

