#!/bin/tcsh

echo ACCEPT
cp accept.1 prog.cob
cobc -x -debug -Wall -std=cobol2002 -o prog prog.cob >& comp.out
if ( $? != 0 ) goto err
prog > result
if ( $? != 0 ) goto err
diff accept.2 result
if ( $? != 0 ) goto err

echo ACCEPT TEST PASSED
rm prog* result comp.out
goto end

err:
	echo ACCEPT TEST FAILED
	exit(1)
end:
	exit(0)

